Windows Support

Windows Remote Access Software

Real-time, remote control software for Windows operating systems

Netop remote access software is compatible with nearly every version of Windows released to date - including versions used on unattended systems and mobile devices.

Windows Remote Control Software
Netop Remote Control running on Windows 8

Netop Remote Control fully supports Windows 8 and Windows Server 2012. 

For a complete list of Windows operating systems and versions supported by Netop, refer to the table below.

Download a free trial of Netop Remote Control for Windows

Netop Remote Control: Windows System Requirements

Current Platform Versions

Platform: 32-bit and 64-bit

Windows 8, 7 Starter, Home Premium, Professional, Ultimate, Enterprise (SP 0, 1)

Windows Vista Home Premium, Basic, Business, Ultimate (SP 0, 1, 2)

Windows Server 2008 R2 Foundation, Standard, Enterprise, Datacenter (SP 0, 1)

Windows Server 2012, 2008 Web, Standard, Enterprise, Datacenter (SP 0, 1)

Windows Server 2003 Standard, Enterprise, Web Edition, TS (SP 0, 1), SR2, SP3

Windows XP Professional, Tablet PC, Home Edition (SP 0, 1, 2, 3)

Legacy Platform Versions

Windows 2000 Server, Advanced Server (SP 0, 1, 2, 3, 4) *

Windows 2000 Terminal Services (SP 0, 1, 2, 3, 4) *

Windows 2000 Professional (SP 0, 1, 2, 3, 4) *

Windows NT 4.0 Terminal Server (SP4) **

Windows NT Server 4.0 (SP4, 5, 6, 6a) **

Windows NT Workstation 4.0 (SP4, 5, 6, 6a) **

Windows ME **

Windows 98 **

Windows 95 **

* Operating system requires Netop Remote Control version 9.52

** Operating system requires Netop Remote Control version 9.1

For more information, visit our KnowledgeBase

Processor

Intel or compatible

Memory

Guest: OS requirement plus additional 32 MB

Other modules: OS requirement plus additional 32 MB

Disk Space

Guest and Host each requires less than 30 MB

Communications

TCP/IP (IPv4): Winsock 1.1 or compatible.

TCP/IP (IPv6): Winsock 2.0 or compatible (Windows 2003 and XP)

IPX: Microsoft NWLink or Novell IPX.

NetBIOS: IBM, Microsoft, Novell or compatible NetBIOS.

Windows modem: TAPI version 1.4 or compatible.

Digital modem: Modem supporting the AT command set.

Analog modem: Modem supporting the AT command set.

ISDN/CAPI: ISDN adapter with a CAPI 2.0 driver.

Infrared: Windows Server 2003, XP, 2000 or 98 with IrDA enabled.

Database

Netop Security Server uses ODBC for communication with databases. Supported databases must be SQL92 Standard compliant.

Security

RSA SecurID® ACE/Server 5.2.

RSA SecurID® ACE/Agent 5.5 or later

Windows Installer

MSI required 2.0

For more information on platforms and versions, visit our KnowledgeBase.